/* =============================================================================================================*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400;600;800&display=swap');


* {
    box-sizing: border-box;
    line-height: 1.5;
    word-break: break-word;
}

img {
    -ms-interpolation-mode: bicubic;
}

html, body {
    width: 100%;
    height: 100%;
}

b {
    font-weight: 800;
}

p {
    margin: 0 !important;
}

body {
    position: fixed;
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    color: #111111;
    line-height: 1.5;
    /*
    overflow-x: hidden !important;
    overflow-y: scroll;
    */
    height: auto;
    /*min-width: 370px;*/
}

/*
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background: #afafaf;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}
*/
/* CONTENT =======================================================================================================*/

.content-all {
    width: 100%;
    height: 100vh;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    background: #FFFFFF;
    overflow: hidden;
}

.flex-wrapper {
    width: 100%;
    min-height: inherit;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow: hidden;
}

.content {
    width: 100%;
    height: auto;
    /*position: relative;*/
    padding: 0;
    font-size: 24px;
    font-weight: 400;
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    z-index: 2;
}

.fix-width {
    width: 100%;
    max-width: 1300px;
    padding: 60px 60px;
    z-index: 2;
}

.catalog {
    width: 100%;
    height: inherit;
    overflow: hidden;
}

.catalog .top-space {
    width: 100%;
    height: 80px;
}

/* INSTRUMENTS ====================================================================================================*/

/* Anchor offset Y (Header height) */

.anchor {
    display: block;
    position: absolute;
    top: -100px;
    visibility: hidden;
}

.vh-100 {
    height: 100vh;
}

.w-100 {
    width: 100% !important;
}

.w-80 {
    width: 80% !important;
}

.w-50 {
    width: 50% !important;
}


.flex-direction-column {
    flex-direction: column !important;
}

/* ELEMENTS =======================================================================================================*/

a {
    color: #464646;
}

.txt-uppercase {
    text-transform: uppercase;
}

.text-transform-disable {
    text-transform: none !important;
}

/* Buttons */

.bn-big {
    display: inline-block;
    align-items: center;
    color: #111111;
    white-space: nowrap;
    border-radius: 25px;
    background: rgba(0, 0, 0, 0.1);
    padding: 12px 40px;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer;
    min-width: 50px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}

.bn-big.green {
    background: #4fd15e;
}

.bn-big.red {
    min-width: 92px !important;
    padding: 12px 20px;
    background: #d14f4f;
}

.bn-big-content {
    display: -webkit-flex;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

.bn-big:hover {
    background: rgba(0, 0, 0, 0.5);
    color: white;
}

.bn-big.green:hover {
    background: #34833d;
    color: white;
}

.bn-big.red:hover {
    background: #8c3636;
    color: white;
}

.bn-disabled {
    pointer-events: none;
    background: none;
    color: white;
    opacity: 0.5;
}

.bn-uplaod-img {
    position: absolute;
    display: inline-block;
    margin: 0 !important;
    color: white !important;
    white-space: nowrap;
    border: 5px solid rgba(255, 255, 255, 0.4);
    border-radius: 60px;
    background: rgba(0, 0, 0, 0.4);
    padding: 0px 27px;
    text-align: center;
    text-decoration: none;
    font-size: 60px;
    font-weight: 900;
    cursor: pointer;
    min-width: 50px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}

.bn-uplaod-img:hover {
    border: 5px solid rgba(255, 255, 255, 0.8);
}

.admin label {
    display: block;
    margin-bottom: 5px;
    color: #848484;
}

.admin input, .admin select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-family: 'Montserrat', sans-serif;
    border: 1px solid #bbbbbb;
    font-size: 16px;
    width: 100%;
    border-radius: 30px;
    margin-bottom: 30px;
    padding: 10px 20px;
}

.admin input:focus, .admin select:focus, div[contenteditable="true"]:focus {
    outline: none;
    background-color: #ffffdb;
}

.admin .input-add-label-container {
    position: relative;
    border-radius: 16px;
    overflow: hidden;
    height: 30px;
}

.admin .input-add-label {
    width: 200px;
    min-width: 100px;
    font-size: 14px;
    border-radius: 16px;
    margin-bottom: 0;
    padding: 3px 60px 3px 10px;
    border: 2px solid #bbbbbb;
}

.admin .input-add-label-container .bn-add {
    position: absolute;
    top: -1px;
    right: 0;
    font-size: 16px;
    padding: 4px 14px;
    color: white;
    background: green;
    cursor: pointer;
}

.contenteditable {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    padding: 10px 20px;
    margin-bottom: 20px;
    border: 1px solid #bbbbbb;
    color: #111111 !important;
    border-radius: 22px;
}

.file-upload-file-name, .file-upload-response {
    color: #cb5353;
    font-weight: 800;
}

/* MODAL ====================================================================================================*/

.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: white;
}

.modal a {
    text-decoration: none;
}

.modal-container {
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.modal-content {
    max-width: 290px;
    background-color: #e9e9e9;
    margin: 20px;
    padding: 30px;
    border-radius: 40px;
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
    gap: 10px;
    /*box-shadow: 0px 0px 10px rgb(0 0 0 / 50%);*/
}

.modal-content.flood {
    background-color: #ffaeae;
}

.modal-content .num {
    width: 70px;
    height: 70px;
    font-size: 25px;
    font-weight: 600;
    color: white;
    background: #a7a7a7;
    border-radius: 40px;
    user-select: none;

    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.modal-content .num.special {
    color: #a7a7a7;
    background: white;
    font-size: 40px;
    border: 1px solid #a7a7a7;
}


.pulse {
    animation: pulse 0.2s forwards ease-out;
    box-shadow: 0px 15px 28px -11px rgba(128, 128, 128, 0.2);
}


@-webkit-keyframes pulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgba(128, 128, 128, 0.4);
    }

    30% {
        -webkit-box-shadow: 0 0 0 10px rgba(128, 128, 128, 0.2);
    }

    100% {
        -webkit-box-shadow: 0 0 0 20px rgba(128, 128, 128, 0);
    }
}

@keyframes pulse {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(128, 128, 128, 0.4);
        box-shadow: 0 0 0 0 rgba(128, 128, 128, 0.4);
    }

    30% {
        -moz-box-shadow: 0 0 0 10px rgba(128, 128, 128, 0.2);
        box-shadow: 0 0 0 10px rgba(128, 128, 128, 0.2);
    }

    100% {
        -moz-box-shadow: 0 0 0 20px rgba(128, 128, 128, 0);
        box-shadow: 0 0 0 20px rgba(128, 128, 128, 0);
    }
}


@media all and (max-width: 480px) {}

/* ANIMATION -----------------------------------------------------------------------------------*/

/* Fade in */

.fade-in-move-up {
    opacity: 0;
    animation: fadein-moveup ease-out 0.6s;
    -webkit-animation-fill-mode: forwards;
    -moz-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    animation-play-state: paused;
}

@keyframes fadein-moveup {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

@-webkit-keyframes fadein-moveup {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

@keyframes fadein-moveleft {
    from {
        opacity: 0;
        transform: translateX(10px);
    }

    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

@-webkit-keyframes fadein-moveleft {
    from {
        opacity: 0;
        transform: translateX(10px);
    }

    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

@keyframes fadein-moveno {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-webkit-keyframes fadein-moveno {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}


/* ====================================================================================== */

@media all and (max-width: 1600px) {}

@media all and (max-width: 1400px) {}

@media all and (max-width: 1000px) {}

@media all and (max-width: 900px) {}

@media all and (max-width: 800px) {}

@media all and (max-width: 500px) {}

@media all and (max-width: 400px) {
    .fix-width {
        max-width: 100%;
    }

}